TESTING/MATGEN/slarnd.f(3)

NAME
TESTING/MATGEN/slarnd.f

SYNOPSIS

  Functions/Subroutines
real function slarnd (idist, iseed)
SLARND

Function/Subroutine Documentation

  real function slarnd (integer idist, integer, dimension( 4 ) iseed)

SLARND

Purpose:

     SLARND returns a random real number from a uniform or normal
     distribution.

Parameters
    IDIST

              IDIST is INTEGER
              Specifies the distribution of the random numbers:
              = 1:  uniform (0,1)
              = 2:  uniform (-1,1)
              = 3:  normal (0,1)

    ISEED

              ISEED is INTEGER array, dimension (4)
              On entry, the seed of the random number generator; the array
              elements must be between 0 and 4095, and ISEED(4) must be
              odd.
              On exit, the seed is updated.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

      This routine calls the auxiliary routine SLARAN to generate a random
      real number from a uniform (0,1) distribution. The Box-Muller method
      is used to transform numbers from a uniform to a normal distribution.

Definition at line 72 of file slarnd.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.